Subject: Re: bug#44941: 28.0.50; M-x grep, perhaps all asynch subprocesses

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Nov 2020 17:29:31 +0200

> From: Richard Stallman <[email-masked]>
> Date: Sun, 29 Nov 2020 00:22:20 -0500
> 
> When I use M-x grep through a lot of files, grep hits appear and
> display all at once.  It used to be that hits in the first files
> searched would appear earlier -- as soon as grep finds them, I expect
> -- but I think Emacs doesn't notice that output from the subprocess any more.

It still works for me as it ever did.  Maybe you didn't define a
search that runs for long enough?

There should be a count of matches displayed in brackets on the mode
line; with a long enough search, like using "grep -R" on a large
directory tree, I see the numbers increasing, and I can go the *grep*
buffer and see the stuff coming in.